# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-dialup/capi4k-utils/capi4k-utils-20030616.ebuild,v 1.4 2004/07/14 22:39:53 agriffis Exp $

YEAR_PV=${PV:0:4}
MON_PV=${PV:4:2}
DAY_PV=${PV:6:2}

MY_P=${PN}-${YEAR_PV}-${MON_PV}-${DAY_PV}

S=${WORKDIR}/${PN}
DESCRIPTION="Capi4Linux Utils"
SRC_URI="ftp://ftp.in-berlin.de/pub/capi4linux/${MY_P}.tar.gz ftp://ftp.in-berlin.de/pub/capi4linux/OLD/${MY_P}.tar.gz"
HOMEPAGE="ftp://ftp.in-berlin.de/pub/capi4linux/"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86"
IUSE=""

DEPEND="virtual/linux-sources
	sys-devel/automake"

src_compile() {
	echo "CONFIG_DATADIR='/usr/share'" >> .config
	echo "#" > .config
	echo "# Automatically generated by emerge: don't edit" >> .config
	echo "#" >> .config
	echo "CONFIG_KERNELDIR='/usr/src/linux'" >> .config
	echo "CONFIG_BINDIR='/usr/bin'" >> .config
	echo "CONFIG_SBINDIR='/usr/sbin'" >> .config
	echo "CONFIG_MANDIR='/usr/man'" >> .config
	echo "CONFIG_AVMCAPICTRL=y" >> .config
	echo "CONFIG_CAPIFAX=y" >> .config
	echo "CONFIG_RCAPID=y" >> .config
	echo "CONFIG_PPPDCAPIPLUGIN=y" >> .config
	emake subconfig || die
	emake || die
}

src_install() {
	dodir /dev
	emake install DESTDIR=${D} || die
	rm -rf ${D}/dev
	newdoc rcapid/README README.rcapid
	newdoc pppdcapiplugin/README README.pppdcapiplugin
	docinto examples.pppdcapiplugin; dodoc pppdcapiplugin/examples/*
	exeinto /etc/init.d
	doexe ${FILESDIR}/capi
	insinto /etc
	insopts -m 0600
	doins capiinit/capi.conf
}

pkg_postinst() {
	einfo "To use isdn4linux with CAPI replace"
	einfo "I4L_MODULE=\"hisax\" with I4L_MODULE=\"capidrv\","
	einfo "start /etc/init.d/capi and load the module"
	einfo "capidrv."
	einfo ""
	einfo "Annotation for active AVM ISDN boards (B1 ISA/PCI, ...):"
	einfo "Please download the latest firmware from"
	einfo "ftp://ftp.in-berlin.de/pub/capi4linux and copy the files "
	einfo "to /usr/lib/isdn and check your /etc/capi.conf file"
	einfo ""
}
